%% macmanul.man -- Manual for macmanul.sty . 
%% Copyright (C) 2006 Uwe L\"uck, 
%% http://www.contact-ednotes.sty.de.vu 
%% -- author-maintained. 

\def\filedate{January 26, 2006} \def\fileversion{0.1}

%% This file can be redistributed and/or modified under 
%% the terms of the LaTeX Project Public License; either 
%% version 1.3a of the License, or any later version.
%% The latest version of this license is in
%%     http://www.latex-project.org/lppl.txt
%% We did our best to help you, but there is NO WARRANTY. 
%%
%% Please report bugs, problems, and suggestions via 
%% 
%%   http://www.contact-ednotes.sty.de.vu 
% 

\ProvidesFile{macmanul.man}[\filedate\space v\fileversion\space 
                            -- Manual for macmanul.sty]

\title{\bfseries{\Huge\pkgf{macmanul}} \\[1ex] 
       ---a \LaTeX\ Package for Explaining \\[.5ex] 
       \TeX-Macros to their End-Users\thanks{This 
         manual describes version~\fileversion\ of \pkgf{macmanul} 
         with date tag \filedate.}}
\author{Uwe L\"uck} 
\expandafter \date \expandafter {\filedate} %% TODO \expandafter!? 

\documentclass{article} 
\usepackage{macmanul}

\newcommand\macmanul{\pkgf{macmanul}}

%% \AllTeX from LTUGboat.cls: 
\providecommand\AllTeX{(\La\kern-.075em)\kern-.075em\TeX} 
\makeatletter 
\providecommand{\La}%
   {L\kern-.36em
        {\setbox0\hbox{T}%
         \vbox to\ht0{\hbox{$\m@th$%
                            \csname S@\f@size\endcsname
                            \fontsize\sf@size\z@
                            \math@fontsfalse\selectfont
                            A}%
                      \vss}%
        }}
\makeatother 


\begin{document} 
\getfileinfo{macmanul.sty}
\maketitle 
%% <- TODO: template for .man's 

\section{Introduction (explaining ``metacode'' etc.)} 

\macmanul\ has been devised as an alternative to that part of 
\pkgf{doc} mainly addressing package or class \textit{users}, i.e., 
creating a description of the \textit{user interface} 
of a macro package as it typically is typed preceding the 
|\StopEventually| command when using \pkgf{doc}. 

``\textit{Metacode}'' is, in the present manual, meant to be a 
mixture of \AllTeX\ source \textit{code} and 
``\textit{meta-variables}''. The latters are indicated by 
`\cwd{meta}\marg{name}' where `<name>' produces the name of the 
meta-variable denoting it in the manual. 
Meta-variables typically are used for macro parameters, 
replacing `|#1|' etc. aiming at a better intuitive understanding 
of what the parameters are used for and where they come in. 

\macmanul\ especially aims at displaying metacode and its \LaTeX\ 
result---which may depend on parameters used in the code, 
parameters being exhibited as meta-variables, such that the display 
of the ``generic'' result may exhibit where it depends on variable 
code, i.e., on the parameters. 

\textbf{An example.}\quad 
`|\fbox{example}|' is mere \textit{code}. 
It is an \textit{instance} of the \textit{metacode} 
`\cwd{fbox}\marg{text}', 
% \usemetacode{\cwd{fbox}\marg{text}} 
% `\themetacode', 
viz.\ exemplifying the meta-variable `\meta{text}' 
by the specific code `|example|'. 
The result of 
\usemetacode{\cwd{fbox}\{example\}} 
the code `\themetacode' is `\themetacoderesult'; 
the ``generic'' result of 
\usemetacode{\cwd{fbox}\marg{text}} 
the metacode `\themetacode' is `\themetacoderesult'. 

%% TODO: Namen erklaeren: MacManUL vs. MacManual 

%% Rule: 
%% 3456789012345678901234567890123456789012345678901234567890123456789
%% <- TODO -> template

\end{document} 

%% End of macmanul.man
